Package org.apache.tools.ant.taskdefs

# Class Jikes

java.lang.Object
org.apache.tools.ant.taskdefs.Jikes

    @Deprecated
    public class Jikes
    extends java.lang.Object

Deprecated.
since 1.2. Merged into the class Javac.
Encapsulates a Jikes compiler, by directly executing an external process.

As of Ant 1.2, this class is considered to be dead code by the Ant developers and is unmaintained. Don't use it.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.lang.String` | `command` | Deprecated.
  `protected JikesOutputParser` | `jop` | Deprecated.
  `protected Project` | `project` | Deprecated.

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `Jikes​(JikesOutputParser jop, java.lang.String command, Project project)` | Deprecated. Constructs a new Jikes object.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `compile​(java.lang.String[] args)` | Deprecated. Do the compile with the specified arguments.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### jop

    protected JikesOutputParser jop
    Deprecated.

  - ### command

    protected java.lang.String command
    Deprecated.

  - ### project

    protected Project project
    Deprecated.

- ## Constructor Details

  - ### Jikes

    protected Jikes​(JikesOutputParser jop, java.lang.String command, Project project)
    Deprecated.
    Constructs a new Jikes object.
    Parameters:
      `jop` - Parser to send jike's output to
      `command` - name of jikes executable
      `project` - the current project

- ## Method Details

  - ### compile

    protected void compile​(java.lang.String[] args)
    Deprecated.
    Do the compile with the specified arguments.
    Parameters:
      `args` - - arguments to pass to process on command line